package com.zksy.WaterSupply.WaterSupplyGisMap.mapper;

import com.zksy.WaterSupply.WaterSupplyGisMap.dto.GisOverviewItemDTO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface WaterSupplyGisMapMapper {
    List<Map<String, Object>> selectSourceFeatures();
    List<Map<String, Object>> selectPlantFeatures();
    List<Map<String, Object>> selectPumpStationFeatures();
    List<Map<String, Object>> selectPipeFeatures();
    List<Map<String, Object>> selectUserFeatures();
    List<GisOverviewItemDTO> selectOverview();
}
